summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRichard Freeman <rich0@gentoo.org>2019-01-24 08:27:46 -0500
committerRichard Freeman <rich0@gentoo.org>2019-01-24 08:27:46 -0500
commit5446a14e38c86e35ede8dac8cd05c97a6801de0d (patch)
tree019b402eb2bf4099a755ddf93e34ef79dc4326ab /media-radio
parentapp-admin/ansible-lint: Version bump to 4.0.1 (diff)
downloadgentoo-5446a14e38c86e35ede8dac8cd05c97a6801de0d.tar.gz
gentoo-5446a14e38c86e35ede8dac8cd05c97a6801de0d.tar.bz2
gentoo-5446a14e38c86e35ede8dac8cd05c97a6801de0d.zip
media-radio/js8call: bump
Signed-off-by: Richard Freeman <rich0@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
Diffstat (limited to 'media-radio')
-rw-r--r--media-radio/js8call/Manifest1
-rw-r--r--media-radio/js8call/js8call-0.13.0.ebuild39
2 files changed, 40 insertions, 0 deletions
diff --git a/media-radio/js8call/Manifest b/media-radio/js8call/Manifest
index cf0a9004bed..1bac0336571 100644
--- a/media-radio/js8call/Manifest
+++ b/media-radio/js8call/Manifest
@@ -1,2 +1,3 @@
DIST js8call-0.11.0.tar.bz2 41232664 BLAKE2B 6a78e19aebcc003e82b9db86d212a30f227a4dc17bb2c68c0c4954f32921af4251c7b2d49579bb35733995dd7c79dafa70d3143c1c0fe44dd7e2a060acf8d0aa SHA512 e969c8d60eb7e267bf80b16dc00a052f03c4ee35c99b797b5dae78ed94f90762015658acd76b37157ec5d61a963478fc1dbbda507a95299126fe18887e7f8177
DIST js8call-0.12.0.tar.bz2 42973126 BLAKE2B 9af3d97fc7b2d4cf658d59c1349a4f624b57a48ff120590a57b733ddd7c2766d0287273742b24bf4f6fe54e8496ebc0da392df3d1cc583aabc3b6b2865dd3428 SHA512 88096e04e14365f5fe65e7e083fdcd1b98bd02d7ecb68498b1df6cfad65b5c3ec1953941edea6300940285f148cdb021400f2a4b5b1919e1c0581356bb4655f6
+DIST js8call-0.13.0.tar.bz2 42973751 BLAKE2B 541fbd2bc1d787ed2d628d2627d2c86bfa1ab9931364ed9cd71ed2cb14c2fe559fbd99f5ceb58d571ec4e9eb15f0ae42a2ac2c2f9cf7bbdeb81df4e69bf40154 SHA512 d95fb7ea69cafc3e8aa70e78eba36e83d72579db8d3ff7a47399e103423d973c15de4cb17a36e7f3161b907b8245f84fc381d04f1b3b01058891e41cc62d3064
diff --git a/media-radio/js8call/js8call-0.13.0.ebuild b/media-radio/js8call/js8call-0.13.0.ebuild
new file mode 100644
index 00000000000..ed7e9ce100e
--- /dev/null
+++ b/media-radio/js8call/js8call-0.13.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit cmake-utils vcs-snapshot
+
+MY_P=${P/_/-}
+
+DESCRIPTION="Weak signal ham radio communication"
+HOMEPAGE="https://groups.io/g/js8call"
+SRC_URI="https://bitbucket.org/widefido/js8call/get/v${PV}.tar.bz2 -> ${P}.tar.bz2"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="doc"
+
+RDEPEND="dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtmultimedia:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtwidgets:5
+ dev-qt/qtconcurrent:5
+ dev-qt/qtserialport:5
+ dev-qt/qtprintsupport:5
+ virtual/libusb:1
+ media-libs/portaudio
+ sci-libs/fftw:3.0[threads,fortran]
+ virtual/fortran
+ app-text/asciidoc
+ media-libs/hamlib
+ doc? ( dev-ruby/asciidoctor )"
+DEPEND="${RDEPEND}"
+
+src_install() {
+ cmake-utils_src_install
+ rm "${D}"/usr/bin/rigctl{,d}-local || die
+ rm "${D}"/usr/share/doc/JS8Call -R || die
+}